package com.hdkj.lt.job.service;

import com.hdkj.lt.modle.po.DistDeviceJoinEcPO;
import com.hdkj.lt.modle.po.JoinEcTransformerPO;

import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author wcx
 * @Date 2025/9/5 9:40
 * @Version 1.0
 */
public interface IPsrDeviceSaveService {

    /**
     * 获取中压接入点信息（弃用）
     */
    List<String> getDistJoinEcBaseInfo();

    /**
     * 根据地市简称获取地市ID信息
     */
    List<String> getConfigCityInfo(List<String> cityShortlist);

    /**
     * 更新中压接入点的台账信息
     */
    int saveDistDeviceJoinEc(List<DistDeviceJoinEcPO> joinEcList);

    /**
     * 更新中压接入点和专变的台账信息
     */
    int saveDistJoinEcTransformer(List<JoinEcTransformerPO> saveList);

    /**
     * 更新DI同步之前的馈线和档距段台账信息
     */
    int savePsrDeviceDIBeforeBak();

    /**
     * 更新DI同步后丢失的馈线台账信息转义字段信息
     */
    int updateFeederDIAfter();

    /**
     * 更新T_PSR_DS_FEEDER拓扑解析需要的线段信息
     */
    int updateFeederPsrDevice();

    /**
     * 更新DI同步后丢失的档距段台账信息转义字段信息
     */
    int updateSpanSegmentDIAfter();

    /**
     * 保存更新导线设备台账信息
     */
    int saveDistConductorSegment(List<Map<String, Object>> deviceList);

    /**
     * 保存更新电缆段设备台账信息
     */
    int saveDistCableSegment(List<Map<String, Object>> deviceList);

    /**
     * 更新T_PSR_DS_DX拓扑解析需要的线段信息
     */
    int updateSegmentPsrDevice();

}
